### Method

# WebKit URISchemeRequest finish

#### Declaration [src]

    void
    webkit_uri_scheme_request_finish (
      WebKitURISchemeRequest* request,
      GInputStream* stream,
      gint64 stream_length,
      const gchar* content_type
    )

#### Description [src]

Finish a `WebKitURISchemeRequest` by setting the contents of the request and its mime type.

#### Parameters

`stream` | `GInputStream`
| A `GInputStream` to read the contents of the request.
| The data is owned by the caller of the function.
`stream_length` | `gint64`
| The length of the stream or -1 if not known.
`content_type` | `const gchar*`
| The content type of the stream or `NULL` if not known.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.